// [Label "Brand Color"]
// [Description "The color which builds your brand"]
// [Tags "Quick", "Color"]
@sapBrandColor: #f0ab00;

// [Label "Highlight Color"]
// [Description "The color which is used to highlight screen elements"]
// [Tags "Quick", "Content", "Color"]
@sapHighlightColor: #007dc0;

// [Label "Base Color"]
// [Description "The color which is used to derive the most dominant background colors"]
// [Tags "Quick", "Color"]
@sapBaseColor: #ddd;

// [Label "Shell Header Color"]
// [Description "The color of the shell header bar"]
// [Tags "Quick", "Color"]
@sapShellColor: #000;

// [Label "Background Color"]
// [Description "The main background color of the screen"]
// [Tags "Quick", "Color"]
@sapBackgroundColor: #f2f2f2;

// [Label "Font Family"]
// [Description "The preferred font family"]
// [Tags "Quick", "Content", "Font", "Protected"]
@sapFontFamily: Arial, Helvetica, sans-serif, Verdana;

// [Label "Font Size"]
// [Description "The preferred font size"]
// [Tags "Quick", "Content", "Dimension", "Font", "Protected"]
@sapFontSize: 0.75em;

// [Label "Text Color"]
// [Description "The preferred text color"]
// [Tags "Quick", "Content", "Color", "Font"]
@sapTextColor: #000;

// [Label "Link Color"]
// [Description "The color of the link text"]
// [Tags "Quick", "Content", "Color", "Font"]
@sapLinkColor: #00679e;

// [Label "Company Logo"]
// [Description "The URI to the logo of your company"]
// [Tags "Quick", "URI", "Image"]
@sapCompanyLogo: none;

// [Label "Background Image"]
// [Description "The URI to the image which is shown as background"]
// [Tags "Quick", "URI", "Image"]
@sapBackgroundImage: none;

// [Label "Background Opacity"]
// [Description "A value between 0.0 and 1.0 to control the opacity of the background image"]
// [Tags "Quick", "Opacity", "Protected"]
@sapBackgroundImageOpacity: 1.0;

// [Label "Background Repeat"]
// [Description "The switch to turn on/off the repetition of the backround image. Chose 'true' or 'false' as value."]
// [Tags "Quick", "Protected"]
@sapBackgroundImageRepeat: false;

// [Label "Selected Color"]
// [Description "The color of selected elements"]
// [Tags "Base", "Color", "Protected"]
@sapSelectedColor: @sapHighlightColor;

// [Label "Active Color"]
// [Description "The color of activated elements"]
// [Tags "Base", "Color", "Protected"]
@sapActiveColor: @sapHighlightColor;

// [Label "Highlight Text Color"]
// [Description "The text color of highlighted screen elements"]
// [Tags "Base", "Content", "Color", "Font", "Protected"]
@sapHighlightTextColor: contrast(@sapHighlightColor, @sapTextColor, #fff);

// [Label "Title Text Color"]
// [Description "The text color of the application title"]
// [Tags "Base", "Color", "Font", "Protected"]
@sapTitleColor: contrast(@sapBaseColor, lighten(@sapTextColor,20), #fff);

// [Label "Negative Color"]
// [Description "The color for elements showing negative state"]
// [Tags "Base", "SemanticColor", "Color", "Protected"]
@sapNegativeColor: #cc1919;

// [Label "Critical Color"]
// [Description "The color for elements showing critical state"]
// [Tags "Base", "SemanticColor", "Color", "Protected"]
@sapCriticalColor: #f0ab00;

// [Label "Positive Color"]
// [Description "The color for elements showing positive state"]
// [Tags "Base", "SemanticColor", "Color", "Protected"]
@sapPositiveColor: #007833;

// [Label "Informative Color"]
// [Description "The color for elements showing informative state"]
// [Tags "Base", "SemanticColor", "Color", "Protected"]
@sapNeutralColor: #007cc0;

// [Label "Content Line Height EM"]
// [Description "The height of lines in the content area (in em). This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Dimension", "Protected"]
@sapContent_LineHeight: 1.3;

// [Label "Content Element Height"]
// [Description "The height of inline elements in the content area (in em). This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Dimension", "Protected"]
@sapContent_ElementHeight: 1.37em;

// [Label "Content Element Height PX"]
// [Description "The height of lines in the content area (in pixel). This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Dimension", "Protected"]
@sapContent_ElementHeight_PX: 22px;

// [Label "Content Icon Height"]
// [Description "The height of inline icons in the content area (in pixel). This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Dimension", "Protected"]
@sapContent_IconHeight: 16px;

// [Label "Content Label Color"]
// [Description "The color of labels in the content area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Color", "Font", "Protected"]
@sapContent_LabelColor: lighten(@sapTextColor, 26.5);

// [Label "Content Monospace Font Family"]
// [Description "Defines which monospaced font is used for specific texts in the content area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Font", "Protected"]
@sapContent_MonospaceFontFamily: lucida console, monospace;

// [Label "Content Disabled Text Color"]
// [Description "The color of texts on disabled screen elements in the content area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Color", "Font", "Protected"]
@sapContent_DisabledTextColor: lighten(@sapTextColor,60);

// [Label "Content Foreground Color"]
// [Description "The foreground color of the content area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Color", "Protected"]
@sapContent_ForegroundColor: #c5c5c5;

// [Label "Content Foreground Border Color"]
// [Description "The foreground color of the borders of the content area. This parameter is protected and is not yet released for being changed."]
// [TranslationKey "sapContent_ForegroundBorderCol"]
// [Tags "Base", "Content", "Color", "Protected"]
@sapContent_ForegroundBorderColor: darken(desaturate(@sapContent_ForegroundColor, 16), 12);

// [Label "Content Foreground Text Color"]
// [Description "The foreground color of texts in the content area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Content", "Color", "Font", "Protected"]
@sapContent_ForegroundTextColor: contrast(@sapContent_ForegroundColor, @sapTextColor, #fff);

// [Label "Shell Background Color"]
// [Description "The background color of the shell. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Shell", "Color", "Protected"]
@sapShell_Background: #fff;

// [Label "Shell Background Image/Gradient"]
// [Description "The background image or gradient of the shell."]
// [Tags "Base", "Shell", "URI", "Image"]
@sapShell_BackgroundImage: @sapShell_Background;

// [Label "Background Opacity"]
// [Description "A value between 0.0 and 1.0 to control the opacity of the shell background image"]
// [Tags "Quick", "Base", "Opacity"]
@sapShell_BackgroundImageOpacity: 1.0;

// [Label "Background Repeat"]
// [Description "The switch to turn on/off the repetition of the shell background image. Chose 'true' or 'false' as value."]
// [Tags "Quick", "Base"]
@sapShell_BackgroundImageRepeat: false;

// [Label "Shell Border Color"]
// [Description "The color of the borders of the shell. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Shell", "Color", "Protected"]
@sapShell_BorderColor: #5c5c5c;

// [Label "Shell Text Color"]
// [Description "The color of texts in the shell. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Shell", "Color", "Font", "Protected"]
@sapShell_TextColor: contrast(@sapShell_Background, @sapTextColor, #fff);

// [Label "Shell Favicon"]
// [Description "The URI to the favorite or shortcut icon displayed for the shell."]
// [Tags "Base", "Shell", "URI", "Image"]
@sapShell_Favicon: none;

// [Label "Button Border Thickness"]
// [Description "The thickness of button borders. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Dimension", "Protected"]
@sapButton_BorderWidth: 1px;

// [Label "Button Corner Radius"]
// [Description "Defines whether a button has rounded corners. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Dimension", "Protected"]
@sapButton_BorderCornerRadius: 0;

// [Label "Button Background Color"]
// [Description "The background color of buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Background: #e2e2e2;

// [Label "Button Border Color"]
// [Description "The color of a button's borders. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_BorderColor: #a3a3a3;

// [Label "Button Text Color"]
// [Description "The color of texts on buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Font", "Protected"]
@sapButton_TextColor: #222;

// [Label "Disabled Button Background Color"]
// [Description "The background color of disabled buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Disabled_Background: @sapButton_Background;

// [Label "Disabled Button Border Color"]
// [Description "The color of the borders of disabled buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Disabled_BorderColor: #bfbfbf;

// [Label "Disabled Button Text Color"]
// [Description "The color of texts on disabled buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Font", "Protected"]
@sapButton_Disabled_TextColor: contrast(@sapButton_Disabled_Background, lighten(@sapButton_TextColor, 47), darken(#fff, 47));

// [Label "Button Hover Background Color"]
// [Description "The background color of buttons on hover. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Hover_Background: @sapHighlightColor;

// [Label "Button Hover Border Color"]
// [Description "The color of a button's borders on hover. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Hover_BorderColor: darken(@sapButton_Hover_Background,7);

// [Label "Button Hover Text Color"]
// [Description "The color of texts on buttons on hover. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Font", "Protected"]
@sapButton_Hover_TextColor: contrast(@sapButton_Hover_Background, @sapButton_TextColor, #fff);

// [Label "Emphasized Button Background Color"]
// [Description "The background color of emphasized buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Emphasized_Background: #fdc411;

// [Label "Emphasized Button Border Color"]
// [Description "The border color of emphasized buttons. This parameter is protected and is not yet released for being changed."]
// [TranslationKey "sapButton_Emphasized_BorderCol"]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Emphasized_BorderColor: #8d6b01;

// [Label "Emphasized Button Text Color"]
// [Description "The color of texts on emphasized buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Font", "Protected"]
@sapButton_Emphasized_TextColor: contrast(@sapButton_Emphasized_Background, @sapButton_TextColor, #fff);

// [Label "Reject Button Background Color"]
// [Description "The background color of \"Reject\" buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Reject_Background: #e52929;

// [Label "Accept Button Background Color"]
// [Description "The background color of \"Accept\" buttons. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Protected"]
@sapButton_Accept_Background: #008A3B;

// [Label "Field Background Color"]
// [Description "The background color of input fields. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Background: #fff;

// [Label "Field Border Color"]
// [Description "The color of an input field's borders. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_BorderColor: #bfbfbf;

// [Label "Field Help Background Color"]
// [Description "The color of the value help icon. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_HelpBackground: @sapField_Background;

// [Label "Field Border Thickness"]
// [Description "The thickness of an input field's borders. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Dimension", "Protected"]
@sapField_BorderWidth: 1px;

// [Label "Field Corner Radius"]
// [Description "Defines whether an input field has rounded corners. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Dimension", "Protected"]
@sapField_BorderCornerRadius: 0;

// [Label "Field Hover Background Color"]
// [Description "The background color of input fields on hover. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Hover_Background: @sapField_Background;

// [Label "Field Hover Border Color"]
// [Description "The color of an input field's borders on hover. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Hover_BorderColor: @sapHighlightColor;

// [Label "Field Help Hover Background Color"]
// [Description "The color of the value help icon on hover. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Hover_HelpBackground: @sapHighlightColor;

// [Label "Focused Field Background Color"]
// [Description "The background color of focused input fields. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Focus_Background: @sapField_Background;

// [Label "Focused Field Border Color"]
// [Description "The color of a focused input field's borders. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Focus_BorderColor: @sapHighlightColor;

// [Label "Focused Field Help Background Color"]
// [Description "The background color of a focused input field's value help icon. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Focus_HelpBackground: @sapField_Focus_Background;

// [Label "Disabled Field Background Color"]
// [Description "The background color of disabled input fields. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Protected"]
@sapField_Disabled_Background: #f9f9f9;

// [Label "Disabled Field Border Color"]
// [Description "The color of a disabled input field's borders. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Disabled_BorderColor: #dfdfdf;

// [Label "Disabled Field Help Background Color"]
// [Description "The background color of a disabled input field's value help icon. This parameter is protected and is not yet released for being changed."]
// [TranslationKey "sapField_Disabled_HelpBackgrnd"]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_Disabled_HelpBackground: @sapField_Disabled_Background;

// [Label "Read Only Field Background Color"]
// [Description "The background color of a read-only input field. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Protected"]
@sapField_ReadOnly_Background: #eaedf0;

// [Label "Read Only Field Border Color"]
// [Description "The color of a read-only input field's borders. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_ReadOnly_BorderColor: @sapField_BorderColor;

// [Label "Read Only Field Help Color"]
// [Description "The background color of a read-only input field's value help icon. This parameter is protected and is not yet released for being changed."]
// [TranslationKey "sapField_ReadOnly_HelpBackgrnd"]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_ReadOnly_HelpBackground: @sapField_ReadOnly_Background;

// [Label "Required Field Color"]
// [Description "The color of the asterisk next to required input fields. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_RequiredColor: @sapHighlightColor;

// [Label "Invalid Field Color"]
// [Description "The base color of input fields with an invalid value. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_InvalidColor: #c00;

// [Label "Invalid Field Background Color"]
// [Description "The background color of input fields with an invalid value. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_InvalidBackground: lighten(@sapField_InvalidColor,53);

// [Label "Warning Field Color"]
// [Description "The base color of an input field indicating a warning. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_WarningColor: #fa0;

// [Label "Warning Field Background Color"]
// [Description "The background color of an input field indicating a warning. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_WarningBackground: #fffcb5;

// [Label "Success Field Color"]
// [Description "The base color an input field indicating a successful user action. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_SuccessColor: #007833;

// [Label "Success Field Background Color"]
// [Description "The background color of an input field indicating a successful user action. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Field", "Color", "Protected"]
@sapField_SuccessBackground: #c0ead2;   //vorher #e0f1e7

// [Label "Group Title Background Color"]
// [Description "The background color of the group header area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Color", "Protected"]
@sapGroup_TitleBackground: rgba(0,0,0,0); /* transparent; */

// [Label "Group Title Border Color"]
// [Description "The color of the borders of the group header area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Color", "Protected"]
@sapGroup_TitleBorderColor: rgba(0,0,0,0); /* transparent; */

// [Label "Group Title Text Color"]
// [Description "The text color of the group title. The text color of the title of a group. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Color", "Font", "Protected"]
@sapGroup_TitleTextColor: lighten(@sapTextColor, 20);

// [Label "Group Title Font Size"]
// [Description "The font size of the group title. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Color", "Font", "Protected"]
@sapGroup_Title_FontSize: 1.0em;

// [Label "Group Content Background Color"]
// [Description "The background color of the content area of a group. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Color", "Protected"]
@sapGroup_ContentBackground: @sapField_Background;

// [Label "Group Content Border Color"]
// [Description "The color of the borders of a group's content area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Color", "Protected"]
@sapGroup_ContentBorderColor: darken(desaturate(@sapGroup_TitleBorderColor,9),9);

// [Label "Group Border Thickness"]
// [Description "The thickness of the borders of a group's content area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Dimension", "Protected"]
@sapGroup_BorderWidth: 1px;

// [Label "Group Corner Radius"]
// [Description "Defines whether a group has rounded corners. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Dimension", "Protected"]
@sapGroup_BorderCornerRadius: 0;

// [Label "Group Footer Background Color"]
// [Description "The background color of the footer area of a group. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Group", "Color", "Protected"]
@sapGroup_FooterBackground: rgba(0,0,0,0); /* transparent; */

// [Label "Toolbar Background Color"]
// [Description "The background color of the toolbar. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Toolbar", "Color", "Protected"]
@sapToolbar_Background: @sapBaseColor;

// [Label "Toolbar Separator Color"]
// [Description "The color of a toolbar's separators. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Toolbar", "Color", "Protected"]
@sapToolbar_SeparatorColor: #c2c2c2;

// [Label "List Column Header Background Color"]
// [Description "The background color of the column header area of lists. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "List", "Color", "Protected"]
@sapList_HeaderBackground: #e5e5e5;

// [Label "List Column Header Border Color"]
// [Description "The color of the borders of the list column header area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "List", "Color", "Protected"]
@sapList_HeaderBorderColor: darken(@sapList_HeaderBackground,10);

// [Label "List Column Header Text Color"]
// [Description "The color of texts on the list column header area. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Button", "Color", "Font", "Protected"]
@sapList_HeaderTextColor: contrast(@sapList_HeaderBackground, lighten(@sapTextColor, 20), #fff);

// [Label "List Border Color"]
// [Description "The color of the border in a list separating the entries. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "List", "Color", "Protected"]
@sapList_BorderColor: #ddd;

// [Label "List Grid Thickness"]
// [Description "The thickness of the border in a list separating the entries. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "List", "Color", "Dimension", "Protected"]
@sapList_BorderWidth: 1px;

// [Label "List Highlight Color"]
// [Description "The color of highlighted elements in lists. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "List", "Color", "Protected"]
@sapList_HighlightColor: @sapHighlightColor;

// [Label "List Selection Background Color"]
// [Description "The background color of selected elements in lists. This parameter is protected and is not yet released for being changed."]
// [TranslationKey "sapList_SelectBackgrndColor"]
// [Tags "Base", "List", "Color", "Protected"]
@sapList_SelectionBackgroundColor: lighten(desaturate(@sapHighlightColor,39),51);

// [Label "List Hover Background Color"]
// [Description "The background color of lists on hover. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "List", "Color", "Protected"]
@sapList_Hover_Background: mix(@sapList_HighlightColor, #fff, 10.35%);

// [Label "Scrollbar Face Color"]
// [Description "The color of the surface of a scrollbar. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Scrollbar", "Color", "Protected"]
@sapScrollBar_FaceColor: #fff;

// [Label "Scrollbar Track Color"]
// [Description "The color of the track of a scrollbar. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Scrollbar", "Color", "Protected"]
@sapScrollBar_TrackColor: #fff;

// [Label "Scrollbar Border Color"]
// [Description "The color of the borders of a scrollbar. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Scrollbar", "Color", "Protected"]
@sapScrollBar_BorderColor: #999;

// [Label "Scrollbar Symbol Color"]
// [Description "The color of the scroll arrows in a scrollbar. This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Scrollbar", "Color", "Protected"]
@sapScrollBar_SymbolColor: #666;

// [Label "Scrollbar Dimension"]
// [Description "The size of the scrollbar (in pixel). This parameter is protected and is not yet released for being changed."]
// [Tags "Base", "Scrollbar", "Dimension", "Protected"]
@sapScrollBar_Dimension: 16px;
